Cyan Web API - Version 1


GET api/devices

            Gets devices within a tenant.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "deviceId": "a4ed7d82-390a-4114-8302-ca5541be688a",
    "tenantId": "3bcc30a0-b593-4e6f-ab22-5a0fb8011918",
    "deviceGroupId": "4dfb0d21-cc38-459d-88ae-5074a74c1a87",
    "name": "sample string 4",
    "description": "sample string 5",
    "manufacturerDeviceId": "sample string 6",
    "manufacturer": "sample string 7",
    "model": "sample string 8",
    "versionInfo": "sample string 9",
    "phoneNumber": "sample string 10",
    "isBlocked": true,
    "connectedDateUtc": "2026-05-11T10:10:44.022876+00:00",
    "imei": "sample string 12",
    "macAddress": "sample string 13",
    "serialNumber": "sample string 14",
    "bluetoothName": "sample string 15",
    "createdDateUtc": "2026-05-11T10:10:44.022876+00:00",
    "updatedDateUtc": "2026-05-11T10:10:44.022876+00:00"
  },
  {
    "deviceId": "a4ed7d82-390a-4114-8302-ca5541be688a",
    "tenantId": "3bcc30a0-b593-4e6f-ab22-5a0fb8011918",
    "deviceGroupId": "4dfb0d21-cc38-459d-88ae-5074a74c1a87",
    "name": "sample string 4",
    "description": "sample string 5",
    "manufacturerDeviceId": "sample string 6",
    "manufacturer": "sample string 7",
    "model": "sample string 8",
    "versionInfo": "sample string 9",
    "phoneNumber": "sample string 10",
    "isBlocked": true,
    "connectedDateUtc": "2026-05-11T10:10:44.022876+00:00",
    "imei": "sample string 12",
    "macAddress": "sample string 13",
    "serialNumber": "sample string 14",
    "bluetoothName": "sample string 15",
    "createdDateUtc": "2026-05-11T10:10:44.022876+00:00",
    "updatedDateUtc": "2026-05-11T10:10:44.022876+00:00"
  },
  {
    "deviceId": "a4ed7d82-390a-4114-8302-ca5541be688a",
    "tenantId": "3bcc30a0-b593-4e6f-ab22-5a0fb8011918",
    "deviceGroupId": "4dfb0d21-cc38-459d-88ae-5074a74c1a87",
    "name": "sample string 4",
    "description": "sample string 5",
    "manufacturerDeviceId": "sample string 6",
    "manufacturer": "sample string 7",
    "model": "sample string 8",
    "versionInfo": "sample string 9",
    "phoneNumber": "sample string 10",
    "isBlocked": true,
    "connectedDateUtc": "2026-05-11T10:10:44.022876+00:00",
    "imei": "sample string 12",
    "macAddress": "sample string 13",
    "serialNumber": "sample string 14",
    "bluetoothName": "sample string 15",
    "createdDateUtc": "2026-05-11T10:10:44.022876+00:00",
    "updatedDateUtc": "2026-05-11T10:10:44.022876+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfDeviceRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <DeviceRepresentation>
    <CreatedDateUtc>2026-05-11T10:10:44.022876+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:10:44.022876+00:00</UpdatedDateUtc>
    <BluetoothName>sample string 15</BluetoothName>
    <ConnectedDateUtc>2026-05-11T10:10:44.022876+00:00</ConnectedDateUtc>
    <Description>sample string 5</Description>
    <DeviceGroupId>4dfb0d21-cc38-459d-88ae-5074a74c1a87</DeviceGroupId>
    <DeviceId>a4ed7d82-390a-4114-8302-ca5541be688a</DeviceId>
    <Imei>sample string 12</Imei>
    <IsBlocked>true</IsBlocked>
    <MacAddress>sample string 13</MacAddress>
    <Manufacturer>sample string 7</Manufacturer>
    <ManufacturerDeviceId>sample string 6</ManufacturerDeviceId>
    <Model>sample string 8</Model>
    <Name>sample string 4</Name>
    <PhoneNumber>sample string 10</PhoneNumber>
    <SerialNumber>sample string 14</SerialNumber>
    <TenantId>3bcc30a0-b593-4e6f-ab22-5a0fb8011918</TenantId>
    <VersionInfo>sample string 9</VersionInfo>
  </DeviceRepresentation>
  <DeviceRepresentation>
    <CreatedDateUtc>2026-05-11T10:10:44.022876+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:10:44.022876+00:00</UpdatedDateUtc>
    <BluetoothName>sample string 15</BluetoothName>
    <ConnectedDateUtc>2026-05-11T10:10:44.022876+00:00</ConnectedDateUtc>
    <Description>sample string 5</Description>
    <DeviceGroupId>4dfb0d21-cc38-459d-88ae-5074a74c1a87</DeviceGroupId>
    <DeviceId>a4ed7d82-390a-4114-8302-ca5541be688a</DeviceId>
    <Imei>sample string 12</Imei>
    <IsBlocked>true</IsBlocked>
    <MacAddress>sample string 13</MacAddress>
    <Manufacturer>sample string 7</Manufacturer>
    <ManufacturerDeviceId>sample string 6</ManufacturerDeviceId>
    <Model>sample string 8</Model>
    <Name>sample string 4</Name>
    <PhoneNumber>sample string 10</PhoneNumber>
    <SerialNumber>sample string 14</SerialNumber>
    <TenantId>3bcc30a0-b593-4e6f-ab22-5a0fb8011918</TenantId>
    <VersionInfo>sample string 9</VersionInfo>
  </DeviceRepresentation>
  <DeviceRepresentation>
    <CreatedDateUtc>2026-05-11T10:10:44.022876+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:10:44.022876+00:00</UpdatedDateUtc>
    <BluetoothName>sample string 15</BluetoothName>
    <ConnectedDateUtc>2026-05-11T10:10:44.022876+00:00</ConnectedDateUtc>
    <Description>sample string 5</Description>
    <DeviceGroupId>4dfb0d21-cc38-459d-88ae-5074a74c1a87</DeviceGroupId>
    <DeviceId>a4ed7d82-390a-4114-8302-ca5541be688a</DeviceId>
    <Imei>sample string 12</Imei>
    <IsBlocked>true</IsBlocked>
    <MacAddress>sample string 13</MacAddress>
    <Manufacturer>sample string 7</Manufacturer>
    <ManufacturerDeviceId>sample string 6</ManufacturerDeviceId>
    <Model>sample string 8</Model>
    <Name>sample string 4</Name>
    <PhoneNumber>sample string 10</PhoneNumber>
    <SerialNumber>sample string 14</SerialNumber>
    <TenantId>3bcc30a0-b593-4e6f-ab22-5a0fb8011918</TenantId>
    <VersionInfo>sample string 9</VersionInfo>
  </DeviceRepresentation>
</ArrayOfDeviceRepresentation>